using Hotline.Enterprise;
using Hotline.Share.Dtos.Enterprise;
using Mapster;

namespace Hotline.Application.Mappers;

public class EnterpriseMapperConfigs : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<AddEnterpriseSpecialistDto, EnterpriseSpecialist>()
            .AfterMapping((src,dest)=>dest.Id = src.Id);
    }
}